import { http } from 'mocp/utils/http'

export const getArrangeWorkListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getArrangeWorkList',
        data,
        config
    })
}

export const getSeatUnitApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/getSeatUnit',
        data,
        config
    })
}

export const getArrangeWorkDetailApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getArrangeWorkDetail',
        data,
        config
    })
}

export const savaArrangeWorkFeedbackApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/savaArrangeWorkFeedback',
        data,
        config
    })
}

export const savaLeaderApprovalApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/savaLeaderApproval',
        data,
        config
    })
}

export const savaWorkValidateApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/savaWorkValidate',
        data,
        config
    })
}

export const savaGzFeedbackApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/savaGzFeedback',
        data,
        config
    })
}

export const savaGzApprovalApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/savaGzApproval',
        data,
        config
    })
}

export const savaFollowUpFeedbackApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/savaFollowUpFeedback',
        data,
        config
    })
}

export const getEnetOrgTreeApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/system/getEnetOrgTree',
        data,
        config
    })
}
